%define name    gnapster
%define version 1.5.0
%define release 3plf

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:        Gnapster is a simple client for the online mp3 community called napster
Group:          Networking/File transfer
License:	GPL
#commented out since it isn't really yet at sourcforge
#URL:           http://gnapster.sourceforge.net
#Source: 	http://download.sourceforge.net/gnapster/%{name}-%{version}.tar.bz2
URL:            http://jasta.gotlinux.org/gnapster.html
Source:         http://jasta.gotlinux.org/files/%{name}-%{version}.tar.bz2
Source1: 	%{name}-16.png.bz2
Source2: 	%{name}-32.png.bz2
Source3:        %{name}-48.png.bz2
BuildRequires: gdk-pixbuf-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
Gnapster is a simple client for the online mp3 community called napster.
Currently, Gnapster supports most major features of the protocol including
search, queue, download, browse, upload, and chat.

This package is in PLF as it contains a P2P software
which are forbidden in MDK contribs. 
%prep

%setup -q

%build
%configure --enable-compile-warnings=no
%make

%install

[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
gnapsterdir=$HOME/.gnapster
serversfile=${gnapsterdir}/servers

# have to create a $HOME/.gnapster/servers file because gnapster tries to backup it
# the backup will obviously fail if it does not exist

# take some precautions to not accidently remove the dir/file if it already existed
direxist=`test -d $gnapsterdir && echo yes || echo no`
if [ $direxist = yes ] ; then
    fileexists=`test -f $serversfile && echo yes || echo no`
else
    fileexists=no
fi

mkdir -p $gnapsterdir
touch $serversfile

%makeinstall

# remove the file/dir if we created it
if [ $fileexist = no ]; then
    rm -f $serversfile
fi
if [ $direxist = no -a $gnapsterdir != / ]; then
    rm -rf $gnapsterdir
fi

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat - << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
                 needs="X11" section="Networking/File transfer" title="Gnapster" \
                 longtitle="%{summary}" icon="%{name}.png"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzip2 -dc %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzip2 -dc %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzip2 -dc %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# themes
mkdir -p %{buildroot}%{_datadir}/gnapster/themes
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/themes/*.theme %{buildroot}%{_datadir}/gnapster/themes

rm -Rf $RPM_BUILD_ROOT/%{_datadir}/pixmaps/*.xpm
%{find_lang} %{name}
%post
%{update_menus}
[ -f $HOME/.gnapster/servers ] && mv $HOME/.gnapster/servers $HOME/.gnapster/servers.old
echo "Remember to backup your ~/.gnapster/servers file"

%postun
%{clean_menus}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README README.firewall TODO
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/pixmaps/%{name}.png
#%{_datadir}/gnome/apps/Applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/%{name}/

%changelog
* Sat Aug 30 2003 Michael Scherer <scherer.michael@free.fr> 1.5.0-3plf 
- [DIRM]
- clean BuildRequires
- fix unpackaged files

* Sat Mar 09 2002 Yves Duret <yduret@mandrakesoft.com> 1.5.0-2plf
- png icons

* Thu Mar 07 2002 Marcel Pol <mpol@gmx.net> 1.5.0-1plf
- made plf version

* Wed Jul 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5.0-1mdk
- updated to 1.5.0

* Fri May 25 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.2-2mdk
- recompile

* Tue Jan 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.2-1mdk
- updated by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- 1.4.2

* Fri Nov  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.4.1a-2mdk
- put themes into package so gnapster quits complaining about not finding
  them

* Fri Nov  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.4.1a-1mdk
- 1.4.1a
- specfile cleanups

* Thu Oct 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-1mdk
- updated to 1.4.0

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.12-2mdk
- once again great srpm from Guillaume Rousse :)
	Fri Sep 22 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.3.12-2mdk
	- Used an upper case for title in menu entry
	- Added large icon

* Wed Sep 20 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 1.3.12-1mdk
- New version

* Wed Aug 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.11-2mdk 
- added %lang 

* Wed Aug 30 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 1.3.11-1mdk
- New version
- Menu entry created in spec file
- New group -> Networking/File transfer (was: Networking/Other)
- Print warning after install to backup the ~/.gnapster/servers file

* Wed Jul 12 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.3.10-2mdk
- chmouelization
- menu entry

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.10-1mdk
- v1.3.10
- add docs

* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.9-1mdk
- Up to 1.3.9 for a security fix

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.7-2mdk
- fix group

* Mon Mar 13 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v1.3.7

* Tue Dec 07 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v1.1

* Mon Dec 06 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
